## org.gnu.gtk.event
Class CellRendererTextEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.CellRendererTextEvent

All Implemented Interfaces:
  java.io.Serializable

public class CellRendererTextEvent
extends GtkEvent

An event represeting action by a `CellRendererText` widget.

See Also:
  `CellRendererTextListener`, `CellRendererText`, Serialized Form

Nested Class Summary
`static class` `CellRendererTextEvent.Type`

Constructor Summary
`CellRendererTextEvent(java.lang.Object source, java.lang.String index, java.lang.String text)` Creates a new event.

Method Summary
`java.lang.String` `getIndex()` Returns the TreeIter index of which the text has been changed.
`java.lang.String` `getText()` Returns the new user entered text.

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CellRendererTextEvent

    public CellRendererTextEvent(java.lang.Object source,
                                 java.lang.String index,
                                 java.lang.String text)

  Creates a new event. This is used internally by java-gnome. Users only have to deal with listeners.

Method Detail

### getIndex

    public java.lang.String getIndex()

  Returns the TreeIter index of which the text has been changed.

  Returns:
    the TreeIter index

### getText

    public java.lang.String getText()

  Returns the new user entered text.

  Returns:
    the user entered text